* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: "Open Sans", sans-serif;
    background: #222;
    background: linear-gradient(#d3c9c2, #cccbcc);
    font-size: 120%;
  }
  
  .search {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
  }
  
  button {
    margin: 0.5em;
    border-radius: 50%;
    border: none;
    height: 44px;
    width: 44px;
    outline: none;
    background: #9e96b9;
    color: white;
    cursor: pointer;
    transition: 0.2s ease-in-out;
  }
  
  input.search-bar {
    border: none;
    outline: none;
    padding: 0.4em 1em;
    border-radius: 24px;
    background: #7c7c7c2b;
    color: white;
    font-family: inherit;
    font-size: 105%;
    width: calc(100% - 100px);
  }
  
  .weather.loading {
    visibility: hidden;
    max-height: 20px;
    position: relative;
  }
  
  .weather.loading::after {
    visibility: visible;
    content: "Loading...";
    color: aliceblue;
    position: absolute;
    top: 0;
    left: 20px;
  }
  
  .location {
    display: flex;
    align-items: center;
  }
  
  .card {
    background: #000000d0;
    color: white;
    padding: 2em;
    border-radius: 30px;
    width: 100%;
    max-width: 420px;
    margin: 1em;
  }
  input.search-bar {
    border: none;
    outline: none;
    padding: 0.4em 1em;
    border-radius: 24px;
    background: #7c7c7c2b;
    color: white;
    font-family: inherit;
    font-size: 105%;
    width: calc(100% - 100px);
  }
  button:hover {
    background: #7c7c7c6b;
  }
  
  h1.temp {
    margin: 0;
    margin-bottom: 0.4em;
  }
  
  .description {
    text-transform: capitalize;
    margin-left: 8px;
  }
  
  @media only screen and (max-width: 600px) {
    body {
      background-image: "url('https://unsplash.com/photos/MF9Wy1NA55I')";
    }
  }

  .nav {
    position: absolute !important;
  }